<?php

/*
 * This file is part of the core-library package.
 *
 * (c) 2018 WEBEWEB
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace WBW\Library\Quadratus\Model\QGI;

use DateTime;

/**
 * Annexe ter.
 *
 * @author webeweb <https://github.com/webeweb>
 * @package WBW\Library\Quadratus\Model\QGI
 */
class AnnexeTer {

    /**
     * Boolean1.
     *
     * @var bool|null
     */
    private $boolean1;

    /**
     * Boolean2.
     *
     * @var bool|null
     */
    private $boolean2;

    /**
     * Boolean3.
     *
     * @var bool|null
     */
    private $boolean3;

    /**
     * Boolean4.
     *
     * @var bool|null
     */
    private $boolean4;

    /**
     * Boolean5.
     *
     * @var bool|null
     */
    private $boolean5;

    /**
     * Boolean6.
     *
     * @var bool|null
     */
    private $boolean6;

    /**
     * Boolean7.
     *
     * @var bool|null
     */
    private $boolean7;

    /**
     * Code1.
     *
     * @var string|null
     */
    private $code1;

    /**
     * Code2.
     *
     * @var string|null
     */
    private $code2;

    /**
     * Date1.
     *
     * @var DateTime|null
     */
    private $date1;

    /**
     * Date2.
     *
     * @var DateTime|null
     */
    private $date2;

    /**
     * Date3.
     *
     * @var DateTime|null
     */
    private $date3;

    /**
     * Date4.
     *
     * @var DateTime|null
     */
    private $date4;

    /**
     * Date5.
     *
     * @var DateTime|null
     */
    private $date5;

    /**
     * Date6.
     *
     * @var DateTime|null
     */
    private $date6;

    /**
     * Date7.
     *
     * @var DateTime|null
     */
    private $date7;

    /**
     * Double1.
     *
     * @var float|null
     */
    private $double1;

    /**
     * Double2.
     *
     * @var float|null
     */
    private $double2;

    /**
     * Double3.
     *
     * @var float|null
     */
    private $double3;

    /**
     * Double4.
     *
     * @var float|null
     */
    private $double4;

    /**
     * Double5.
     *
     * @var float|null
     */
    private $double5;

    /**
     * Double6.
     *
     * @var float|null
     */
    private $double6;

    /**
     * Double7.
     *
     * @var float|null
     */
    private $double7;

    /**
     * Long1.
     *
     * @var int|null
     */
    private $long1;

    /**
     * Long2.
     *
     * @var int|null
     */
    private $long2;

    /**
     * Long3.
     *
     * @var int|null
     */
    private $long3;

    /**
     * Long4.
     *
     * @var int|null
     */
    private $long4;

    /**
     * Long5.
     *
     * @var int|null
     */
    private $long5;

    /**
     * Long6.
     *
     * @var int|null
     */
    private $long6;

    /**
     * Long7.
     *
     * @var int|null
     */
    private $long7;

    /**
     * Memo1.
     *
     * @var string|null
     */
    private $memo1;

    /**
     * Memo2.
     *
     * @var string|null
     */
    private $memo2;

    /**
     * Numero.
     *
     * @var int|null
     */
    private $numero;

    /**
     * Text1.
     *
     * @var string|null
     */
    private $text1;

    /**
     * Text2.
     *
     * @var string|null
     */
    private $text2;

    /**
     * Text3.
     *
     * @var string|null
     */
    private $text3;

    /**
     * Text4.
     *
     * @var string|null
     */
    private $text4;

    /**
     * Text5.
     *
     * @var string|null
     */
    private $text5;

    /**
     * Text6.
     *
     * @var string|null
     */
    private $text6;

    /**
     * Text7.
     *
     * @var string|null
     */
    private $text7;

    /**
     * Type.
     *
     * @var string|null
     */
    private $type;

    /**
     * Constructor.
     */
    public function __construct() {
        // NOTHING TO DO
    }

    /**
     * Get the boolean1.
     *
     * @return bool|null Returns the boolean1.
     */
    public function getBoolean1(): ?bool {
        return $this->boolean1;
    }

    /**
     * Get the boolean2.
     *
     * @return bool|null Returns the boolean2.
     */
    public function getBoolean2(): ?bool {
        return $this->boolean2;
    }

    /**
     * Get the boolean3.
     *
     * @return bool|null Returns the boolean3.
     */
    public function getBoolean3(): ?bool {
        return $this->boolean3;
    }

    /**
     * Get the boolean4.
     *
     * @return bool|null Returns the boolean4.
     */
    public function getBoolean4(): ?bool {
        return $this->boolean4;
    }

    /**
     * Get the boolean5.
     *
     * @return bool|null Returns the boolean5.
     */
    public function getBoolean5(): ?bool {
        return $this->boolean5;
    }

    /**
     * Get the boolean6.
     *
     * @return bool|null Returns the boolean6.
     */
    public function getBoolean6(): ?bool {
        return $this->boolean6;
    }

    /**
     * Get the boolean7.
     *
     * @return bool|null Returns the boolean7.
     */
    public function getBoolean7(): ?bool {
        return $this->boolean7;
    }

    /**
     * Get the code1.
     *
     * @return string|null Returns the code1.
     */
    public function getCode1(): ?string {
        return $this->code1;
    }

    /**
     * Get the code2.
     *
     * @return string|null Returns the code2.
     */
    public function getCode2(): ?string {
        return $this->code2;
    }

    /**
     * Get the date1.
     *
     * @return DateTime|null Returns the date1.
     */
    public function getDate1(): ?DateTime {
        return $this->date1;
    }

    /**
     * Get the date2.
     *
     * @return DateTime|null Returns the date2.
     */
    public function getDate2(): ?DateTime {
        return $this->date2;
    }

    /**
     * Get the date3.
     *
     * @return DateTime|null Returns the date3.
     */
    public function getDate3(): ?DateTime {
        return $this->date3;
    }

    /**
     * Get the date4.
     *
     * @return DateTime|null Returns the date4.
     */
    public function getDate4(): ?DateTime {
        return $this->date4;
    }

    /**
     * Get the date5.
     *
     * @return DateTime|null Returns the date5.
     */
    public function getDate5(): ?DateTime {
        return $this->date5;
    }

    /**
     * Get the date6.
     *
     * @return DateTime|null Returns the date6.
     */
    public function getDate6(): ?DateTime {
        return $this->date6;
    }

    /**
     * Get the date7.
     *
     * @return DateTime|null Returns the date7.
     */
    public function getDate7(): ?DateTime {
        return $this->date7;
    }

    /**
     * Get the double1.
     *
     * @return float|null Returns the double1.
     */
    public function getDouble1(): ?float {
        return $this->double1;
    }

    /**
     * Get the double2.
     *
     * @return float|null Returns the double2.
     */
    public function getDouble2(): ?float {
        return $this->double2;
    }

    /**
     * Get the double3.
     *
     * @return float|null Returns the double3.
     */
    public function getDouble3(): ?float {
        return $this->double3;
    }

    /**
     * Get the double4.
     *
     * @return float|null Returns the double4.
     */
    public function getDouble4(): ?float {
        return $this->double4;
    }

    /**
     * Get the double5.
     *
     * @return float|null Returns the double5.
     */
    public function getDouble5(): ?float {
        return $this->double5;
    }

    /**
     * Get the double6.
     *
     * @return float|null Returns the double6.
     */
    public function getDouble6(): ?float {
        return $this->double6;
    }

    /**
     * Get the double7.
     *
     * @return float|null Returns the double7.
     */
    public function getDouble7(): ?float {
        return $this->double7;
    }

    /**
     * Get the long1.
     *
     * @return int|null Returns the long1.
     */
    public function getLong1(): ?int {
        return $this->long1;
    }

    /**
     * Get the long2.
     *
     * @return int|null Returns the long2.
     */
    public function getLong2(): ?int {
        return $this->long2;
    }

    /**
     * Get the long3.
     *
     * @return int|null Returns the long3.
     */
    public function getLong3(): ?int {
        return $this->long3;
    }

    /**
     * Get the long4.
     *
     * @return int|null Returns the long4.
     */
    public function getLong4(): ?int {
        return $this->long4;
    }

    /**
     * Get the long5.
     *
     * @return int|null Returns the long5.
     */
    public function getLong5(): ?int {
        return $this->long5;
    }

    /**
     * Get the long6.
     *
     * @return int|null Returns the long6.
     */
    public function getLong6(): ?int {
        return $this->long6;
    }

    /**
     * Get the long7.
     *
     * @return int|null Returns the long7.
     */
    public function getLong7(): ?int {
        return $this->long7;
    }

    /**
     * Get the memo1.
     *
     * @return string|null Returns the memo1.
     */
    public function getMemo1(): ?string {
        return $this->memo1;
    }

    /**
     * Get the memo2.
     *
     * @return string|null Returns the memo2.
     */
    public function getMemo2(): ?string {
        return $this->memo2;
    }

    /**
     * Get the numero.
     *
     * @return int|null Returns the numero.
     */
    public function getNumero(): ?int {
        return $this->numero;
    }

    /**
     * Get the text1.
     *
     * @return string|null Returns the text1.
     */
    public function getText1(): ?string {
        return $this->text1;
    }

    /**
     * Get the text2.
     *
     * @return string|null Returns the text2.
     */
    public function getText2(): ?string {
        return $this->text2;
    }

    /**
     * Get the text3.
     *
     * @return string|null Returns the text3.
     */
    public function getText3(): ?string {
        return $this->text3;
    }

    /**
     * Get the text4.
     *
     * @return string|null Returns the text4.
     */
    public function getText4(): ?string {
        return $this->text4;
    }

    /**
     * Get the text5.
     *
     * @return string|null Returns the text5.
     */
    public function getText5(): ?string {
        return $this->text5;
    }

    /**
     * Get the text6.
     *
     * @return string|null Returns the text6.
     */
    public function getText6(): ?string {
        return $this->text6;
    }

    /**
     * Get the text7.
     *
     * @return string|null Returns the text7.
     */
    public function getText7(): ?string {
        return $this->text7;
    }

    /**
     * Get the type.
     *
     * @return string|null Returns the type.
     */
    public function getType(): ?string {
        return $this->type;
    }

    /**
     * Set the boolean1.
     *
     * @param bool|null $boolean1 The boolean1.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setBoolean1(?bool $boolean1): AnnexeTer {
        $this->boolean1 = $boolean1;
        return $this;
    }

    /**
     * Set the boolean2.
     *
     * @param bool|null $boolean2 The boolean2.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setBoolean2(?bool $boolean2): AnnexeTer {
        $this->boolean2 = $boolean2;
        return $this;
    }

    /**
     * Set the boolean3.
     *
     * @param bool|null $boolean3 The boolean3.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setBoolean3(?bool $boolean3): AnnexeTer {
        $this->boolean3 = $boolean3;
        return $this;
    }

    /**
     * Set the boolean4.
     *
     * @param bool|null $boolean4 The boolean4.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setBoolean4(?bool $boolean4): AnnexeTer {
        $this->boolean4 = $boolean4;
        return $this;
    }

    /**
     * Set the boolean5.
     *
     * @param bool|null $boolean5 The boolean5.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setBoolean5(?bool $boolean5): AnnexeTer {
        $this->boolean5 = $boolean5;
        return $this;
    }

    /**
     * Set the boolean6.
     *
     * @param bool|null $boolean6 The boolean6.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setBoolean6(?bool $boolean6): AnnexeTer {
        $this->boolean6 = $boolean6;
        return $this;
    }

    /**
     * Set the boolean7.
     *
     * @param bool|null $boolean7 The boolean7.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setBoolean7(?bool $boolean7): AnnexeTer {
        $this->boolean7 = $boolean7;
        return $this;
    }

    /**
     * Set the code1.
     *
     * @param string|null $code1 The code1.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setCode1(?string $code1): AnnexeTer {
        $this->code1 = $code1;
        return $this;
    }

    /**
     * Set the code2.
     *
     * @param string|null $code2 The code2.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setCode2(?string $code2): AnnexeTer {
        $this->code2 = $code2;
        return $this;
    }

    /**
     * Set the date1.
     *
     * @param DateTime|null $date1 The date1.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setDate1(?DateTime $date1): AnnexeTer {
        $this->date1 = $date1;
        return $this;
    }

    /**
     * Set the date2.
     *
     * @param DateTime|null $date2 The date2.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setDate2(?DateTime $date2): AnnexeTer {
        $this->date2 = $date2;
        return $this;
    }

    /**
     * Set the date3.
     *
     * @param DateTime|null $date3 The date3.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setDate3(?DateTime $date3): AnnexeTer {
        $this->date3 = $date3;
        return $this;
    }

    /**
     * Set the date4.
     *
     * @param DateTime|null $date4 The date4.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setDate4(?DateTime $date4): AnnexeTer {
        $this->date4 = $date4;
        return $this;
    }

    /**
     * Set the date5.
     *
     * @param DateTime|null $date5 The date5.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setDate5(?DateTime $date5): AnnexeTer {
        $this->date5 = $date5;
        return $this;
    }

    /**
     * Set the date6.
     *
     * @param DateTime|null $date6 The date6.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setDate6(?DateTime $date6): AnnexeTer {
        $this->date6 = $date6;
        return $this;
    }

    /**
     * Set the date7.
     *
     * @param DateTime|null $date7 The date7.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setDate7(?DateTime $date7): AnnexeTer {
        $this->date7 = $date7;
        return $this;
    }

    /**
     * Set the double1.
     *
     * @param float|null $double1 The double1.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setDouble1(?float $double1): AnnexeTer {
        $this->double1 = $double1;
        return $this;
    }

    /**
     * Set the double2.
     *
     * @param float|null $double2 The double2.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setDouble2(?float $double2): AnnexeTer {
        $this->double2 = $double2;
        return $this;
    }

    /**
     * Set the double3.
     *
     * @param float|null $double3 The double3.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setDouble3(?float $double3): AnnexeTer {
        $this->double3 = $double3;
        return $this;
    }

    /**
     * Set the double4.
     *
     * @param float|null $double4 The double4.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setDouble4(?float $double4): AnnexeTer {
        $this->double4 = $double4;
        return $this;
    }

    /**
     * Set the double5.
     *
     * @param float|null $double5 The double5.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setDouble5(?float $double5): AnnexeTer {
        $this->double5 = $double5;
        return $this;
    }

    /**
     * Set the double6.
     *
     * @param float|null $double6 The double6.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setDouble6(?float $double6): AnnexeTer {
        $this->double6 = $double6;
        return $this;
    }

    /**
     * Set the double7.
     *
     * @param float|null $double7 The double7.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setDouble7(?float $double7): AnnexeTer {
        $this->double7 = $double7;
        return $this;
    }

    /**
     * Set the long1.
     *
     * @param int|null $long1 The long1.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setLong1(?int $long1): AnnexeTer {
        $this->long1 = $long1;
        return $this;
    }

    /**
     * Set the long2.
     *
     * @param int|null $long2 The long2.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setLong2(?int $long2): AnnexeTer {
        $this->long2 = $long2;
        return $this;
    }

    /**
     * Set the long3.
     *
     * @param int|null $long3 The long3.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setLong3(?int $long3): AnnexeTer {
        $this->long3 = $long3;
        return $this;
    }

    /**
     * Set the long4.
     *
     * @param int|null $long4 The long4.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setLong4(?int $long4): AnnexeTer {
        $this->long4 = $long4;
        return $this;
    }

    /**
     * Set the long5.
     *
     * @param int|null $long5 The long5.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setLong5(?int $long5): AnnexeTer {
        $this->long5 = $long5;
        return $this;
    }

    /**
     * Set the long6.
     *
     * @param int|null $long6 The long6.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setLong6(?int $long6): AnnexeTer {
        $this->long6 = $long6;
        return $this;
    }

    /**
     * Set the long7.
     *
     * @param int|null $long7 The long7.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setLong7(?int $long7): AnnexeTer {
        $this->long7 = $long7;
        return $this;
    }

    /**
     * Set the memo1.
     *
     * @param string|null $memo1 The memo1.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setMemo1(?string $memo1): AnnexeTer {
        $this->memo1 = $memo1;
        return $this;
    }

    /**
     * Set the memo2.
     *
     * @param string|null $memo2 The memo2.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setMemo2(?string $memo2): AnnexeTer {
        $this->memo2 = $memo2;
        return $this;
    }

    /**
     * Set the numero.
     *
     * @param int|null $numero The numero.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setNumero(?int $numero): AnnexeTer {
        $this->numero = $numero;
        return $this;
    }

    /**
     * Set the text1.
     *
     * @param string|null $text1 The text1.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setText1(?string $text1): AnnexeTer {
        $this->text1 = $text1;
        return $this;
    }

    /**
     * Set the text2.
     *
     * @param string|null $text2 The text2.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setText2(?string $text2): AnnexeTer {
        $this->text2 = $text2;
        return $this;
    }

    /**
     * Set the text3.
     *
     * @param string|null $text3 The text3.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setText3(?string $text3): AnnexeTer {
        $this->text3 = $text3;
        return $this;
    }

    /**
     * Set the text4.
     *
     * @param string|null $text4 The text4.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setText4(?string $text4): AnnexeTer {
        $this->text4 = $text4;
        return $this;
    }

    /**
     * Set the text5.
     *
     * @param string|null $text5 The text5.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setText5(?string $text5): AnnexeTer {
        $this->text5 = $text5;
        return $this;
    }

    /**
     * Set the text6.
     *
     * @param string|null $text6 The text6.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setText6(?string $text6): AnnexeTer {
        $this->text6 = $text6;
        return $this;
    }

    /**
     * Set the text7.
     *
     * @param string|null $text7 The text7.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setText7(?string $text7): AnnexeTer {
        $this->text7 = $text7;
        return $this;
    }

    /**
     * Set the type.
     *
     * @param string|null $type The type.
     * @return AnnexeTer Returns this Annexe ter.
     */
    public function setType(?string $type): AnnexeTer {
        $this->type = $type;
        return $this;
    }
}
