<?php

/*
 * This file is part of the core-library package.
 *
 * (c) 2022 WEBEWEB
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace WBW\Library\System\Serializer;

/**
 * Serializer keys.
 *
 * @author webeweb <https://github.com/webeweb>
 * @package WBW\Library\System\Serializer
 */
interface SerializerKeys {

    /**
     * Serializer key "available".
     *
     * @var string
     */
    const AVAILABLE = "available";

    /**
     * Serializer key "codename".
     *
     * @var string
     */
    const CODENAME = "codename";

    /**
     * Serializer key "dns".
     *
     * @var string
     */
    const DNS = "dns";

    /**
     * Serializer key "duplex".
     *
     * @var string
     */
    const DUPLEX = "duplex";

    /**
     * Serializer key "fileSystem".
     *
     * @var string
     */
    const FILE_SYSTEM = "fileSystem";

    /**
     * Serializer key "gateway".
     *
     * @var string
     */
    const GATEWAY = "gateway";

    /**
     * Serializer key "hi".
     *
     * @var string
     */
    const HI = "hi";

    /**
     * Serializer key "ipv4".
     *
     * @var string
     */
    const IPV4 = "ipv4";

    /**
     * Serializer key "ipv6".
     *
     * @var string
     */
    const IPV6 = "ipv6";

    /**
     * Serializer key "mac".
     *
     * @var string
     */
    const MAC = "mac";

    /**
     * Serializer key "mounted on".
     *
     * @var string
     */
    const MOUNTED_ON = "mountedOn";

    /**
     * Serializer key "ni".
     *
     * @var string
     */
    const NI = "ni";

    /**
     * Serializer key "release".
     *
     * @var string
     */
    const RELEASE = "release";

    /**
     * Serializer key "si".
     *
     * @var string
     */
    const SI = "si";

    /**
     * Serializer key "speed".
     *
     * @var string
     */
    const SPEED = "speed";

    /**
     * Serializer key "st".
     *
     * @var string
     */
    const ST = "st";

    /**
     * Serializer key "status".
     *
     * @var string
     */
    const STATUS = "status";

    /**
     * Serializer key "sy".
     *
     * @var string
     */
    const SY = "sy";

    /**
     * Serializer key "us".
     *
     * @var string
     */
    const US = "us";

    /**
     * Serializer key "used".
     *
     * @var string
     */
    const USED = "used";

    /**
     * Serializer key "usePercent".
     *
     * @var string
     */
    const USE_PERCENT = "usePercent";

    /**
     * Serializer key "wa".
     *
     * @var string
     */
    const WA = "wa";
}
