<?php

/*
 * This file is part of the core-library package.
 *
 * (c) 2021 WEBEWEB
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace WBW\Library\Vehicle\Serializer;

/**
 * Serializer keys.
 *
 * @author webeweb <https://github.com/webeweb>
 * @package WBW\Library\Vehicle\Serializer
 */
interface SerializerKeys {

    /**
     * Serializer key "A".
     *
     * @var string
     */
    const A = "a";

    /**
     * Serializer key "A.1".
     *
     * @var string
     */
    const A1 = "a1";

    /**
     * Serializer key "B".
     *
     * @var string
     */
    const B = "b";

    /**
     * Serializer key "C.1".
     *
     * @var string
     */
    const C1 = "c1";

    /**
     * Serializer key "C.3".
     *
     * @var string
     */
    const C3 = "c3";

    /**
     * Serializer key "C.4.1".
     *
     * @var string
     */
    const C41 = "c41";

    /**
     * Serializer key "C.4a".
     *
     * @var string
     */
    const C4A = "c4a";

    /**
     * Serializer key "D.1".
     *
     * @var string
     */
    const D1 = "d1";

    /**
     * Serializer key "D.2".
     *
     * @var string
     */
    const D2 = "d2";

    /**
     * Serializer key "D.2.1".
     *
     * @var string
     */
    const D21 = "d21";

    /**
     * Serializer key "D.3".
     *
     * @var string
     */
    const D3 = "d3";

    /**
     * Serializer key "E".
     *
     * @var string
     */
    const E = "e";

    /**
     * Serializer key "F.1".
     *
     * @var string
     */
    const F1 = "f1";

    /**
     * Serializer key "F.2".
     *
     * @var string
     */
    const F2 = "f2";

    /**
     * Serializer key "F.3".
     *
     * @var string
     */
    const F3 = "f3";

    /**
     * Serializer key "G".
     *
     * @var string
     */
    const G = "g";

    /**
     * Serializer key "G.1".
     *
     * @var string
     */
    const G1 = "g1";

    /**
     * Serializer key "H".
     *
     * @var string
     */
    const H = "h";

    /**
     * Serializer key "I".
     *
     * @var string
     */
    const I = "i";

    /**
     * Serializer key "I.1".
     *
     * @var string
     */
    const I1 = "i1";

    /**
     * Serializer key "J".
     *
     * @var string
     */
    const J = "j";

    /**
     * Serializer key "J.1".
     *
     * @var string
     */
    const J1 = "j1";

    /**
     * Serializer key "J.2".
     *
     * @var string
     */
    const J2 = "j2";

    /**
     * Serializer key "J.3".
     *
     * @var string
     */
    const J3 = "j3";

    /**
     * Serializer key "K".
     *
     * @var string
     */
    const K = "k";

    /**
     * Serializer key "P.1".
     *
     * @var string
     */
    const P1 = "p1";

    /**
     * Serializer key "P.2".
     *
     * @var string
     */
    const P2 = "p2";

    /**
     * Serializer key "P.3".
     *
     * @var string
     */
    const P3 = "p3";

    /**
     * Serializer key "P.6".
     *
     * @var string
     */
    const P6 = "p6";

    /**
     * Serializer key "S.1".
     *
     * @var string
     */
    const S1 = "s1";

    /**
     * Serializer key "S.2".
     *
     * @var string
     */
    const S2 = "s2";

    /**
     * Serializer key "U.1".
     *
     * @var string
     */
    const U1 = "u1";

    /**
     * Serializer key "U.2".
     *
     * @var string
     */
    const U2 = "u2";

    /**
     * Serializer key "V.7".
     *
     * @var string
     */
    const V7 = "v7";

    /**
     * Serializer key "V.9".
     *
     * @var string
     */
    const V9 = "v9";

    /**
     * Serializer key "X.1".
     *
     * @var string
     */
    const X1 = "x1";

    /**
     * Serializer key "Y.1".
     *
     * @var string
     */
    const Y1 = "y1";

    /**
     * Serializer key "Y.2".
     *
     * @var string
     */
    const Y2 = "y2";

    /**
     * Serializer key "Y.3".
     *
     * @var string
     */
    const Y3 = "y3";

    /**
     * Serializer key "Y.4".
     *
     * @var string
     */
    const Y4 = "y4";

    /**
     * Serializer key "Y.5".
     *
     * @var string
     */
    const Y5 = "y5";

    /**
     * Serializer key "Y.6".
     *
     * @var string
     */
    const Y6 = "y6";

    /**
     * Serializer key "Z.1".
     *
     * @var string
     */
    const Z1 = "z1";

    /**
     * Serializer key "Z.2".
     *
     * @var string
     */
    const Z2 = "z2";

    /**
     * Serializer key "Z.3".
     *
     * @var string
     */
    const Z3 = "z3";

    /**
     * Serializer key "Z.4".
     *
     * @var string
     */
    const Z4 = "z4";
}
